net.corda.node.services.persistence

## Class Service.NotifyTransactionHandler

- FlowLogic
- - net.corda.node.services.persistence.DataVending.Service.NotifyTransactionHandler

- Enclosing class:
    DataVending.Service

      public static class Service.NotifyTransactionHandler
      extends FlowLogic

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyTransactionHandler(Party otherParty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Party` | `getOtherParty()`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### NotifyTransactionHandler

          public NotifyTransactionHandler(Party otherParty)

  - ### Method Detail

    - #### call

          public void call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getOtherParty

          public Party getOtherParty()